<?php
function generateMainPage() {
	global $indexXML;
	echo "
	<div id='pageName'>
		<h2>".$indexXML->title."<br/>Kezdő oldal</h2>
	</div>\n";
	
	echo "<div id='main'>";
	generateMenu();
	
	echo "
	<div id='content'>
	  <div id='summary'>\n";
	  if ($indexXML->image) {
     	echo "<img src='images/".$indexXML->image."' class='icon'/>\n";
     }
	  echo "<p>".$indexXML->summary."</p>\n";
	 echo "
	  </div>\n";
	echo "	  
	  <div id='books'>
	  <h3>Szakirodalom</h3>
	  <p><ul>";
	  foreach ($indexXML->books->book as $i) {
	  	echo "<li>$i</li>\n";
	  }
	 echo "
	 </ul></p>
	</div>
	";
	echo "  
	  <div id='links'>
	  <h3>Linkek</h3>
	  <p><ul>";
	  foreach ($indexXML->links->link as $i) {
	  	echo "<li><a href='$i'>".($i['name']?$i['name']:$i)."</a></li>\n";
	  }
	 echo "
	 </ul></p>
	</div>
	";
	 echo "  
	  <div id='authors'>
	  <h3>Szerzők</h3>
	  <p><ul>";
	  foreach ($indexXML->authors->author as $i) {
	    if ($i['email'])
	  	  echo "<li><a href='mailto:".$i['email']."'>$i</a></li>\n";
		else
		  echo "<li>$i</li>\n";
	  }
	 echo "
	 </ul></p>
	</div>
	";
	 
	 echo "<div id='lastModify'><p>Utolsó módosítás: ".$indexXML->lastmodify."</p></div>\n";
	
	echo "</div> <!-- content -->";
	echo "<div class='clearer'></div>\n"; 
	echo "</div>";

}

function generateMenu() {
	global $menuXML;
	echo "<div id='navigation'>
	<div id='backToList'><a href='index.php'>Nyelvek listája</a></div>\n
	<ul>
	<li class='leaf'><a href='index.php'>Kezdő oldal</a></li>\n";
	
	foreach ($menuXML->chapter as $ch) {
		if ($ch->section) {
		    echo "<li class='collapsed'><a href='index.php?chapter=$ch[id]'>$ch[name]</a>\n";
			echo "<ul>\n";
			foreach ($ch->section as $s) {
				if ($s->subsection) {
					echo "<li class='collapsed'><a href='index.php?chapter=$ch[id]#section_$s[id]'>$s</a></li>\n";
					echo "<ul>\n";
					foreach($s->subsection as $ss) {
						echo "<li class='leaf'><a href='index.php?chapter=$ch[id]#section_$s[id]_$ss[id]'>$ss</a></li>\n";
					}
					echo "</ul>\n";
				}
				else {
					echo "<li class='leaf'><a href='index.php?chapter=$ch[id]#section_$s[id]'>$s</a></li>\n";
				}
			}
			echo "</ul>\n";
		}
		else {
			echo "<li class='leaf'><a href='index.php?chapter=$ch[id]'>$ch[name]</a>\n";
		}
		echo "</li>\n";
	}
	
	echo "
	</ul>
	</div>
	";
}


function generateChapter($chapter, $section) {
	global $menuXML;
	global $indexXML;
	
	echo "
	<div id='pageName'>
		<h2>$indexXML->title <br/>".
		$menuXML->chapter[$chapter-1]['name']."</h2>
	</div>";
	
	echo "<div id='main'>\n"; 
	
	generateMenu();
	include "chapter_$chapter.html";
	
	echo "<div class='clearer'></div>\n"; 
	echo "</div> <!-- main -->\n";
	
}

function xmlRead($filename){
    if (!($xml = simplexml_load_file($filename))) {
        echo "$filename: XML Error";
    }
    return $xml;

}

?>